VelocityException (Velocity 1.7 API)
Keywords: org.apache.velocity.exception.VelocityException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.exception
Class VelocityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.velocity.exception.VelocityException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MacroOverflowException, MathException, MethodInvocationException, ParseErrorException, ResourceNotFoundException, TemplateInitException

public class VelocityException
extends RuntimeException

Base class for Velocity runtime exceptions thrown to the application layer.

Version:
  $Id: VelocityException.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Kyle F. Downey
See Also:
  Serialized Form

Constructor Summary
`VelocityException(String exceptionMessage)`
`VelocityException(String exceptionMessage, Throwable wrapped)`
`VelocityException(Throwable wrapped)`

Method Summary
`Throwable` | `getWrappedThrowable()` returns the wrapped Throwable that caused this MethodInvocationException to be thrown

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VelocityException

    public VelocityException(String exceptionMessage)

Parameters:
  `exceptionMessage` - The message to register.

### VelocityException

    public VelocityException(String exceptionMessage,
                             Throwable wrapped)

Parameters:
  `exceptionMessage` - The message to register.
  `wrapped` - A throwable object that caused the Exception.
Since:
  1.5

### VelocityException

    public VelocityException(Throwable wrapped)

Parameters:
  `wrapped` - A throwable object that caused the Exception.
Since:
  1.5

Method Detail

### getWrappedThrowable

    public Throwable getWrappedThrowable()

  returns the wrapped Throwable that caused this MethodInvocationException to be thrown

  Returns:
    Throwable thrown by method invocation
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.